Package be.ehealth.technicalconnector.handler

# Class AbstractSOAPHandler

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

Direct Known Subclasses:
  `AbstractMimeHeaderManipulator`, `AbstractWsSecurityHandler`, `CacheFeederHandler`, `ConnectionTimeOutHandler`, `HarFileHandler`, `IncomingSecurityHandler`, `LoggingHandler`, `MessageLevelRetryHandler`, `SchemaValidatorHandler`, `SoapActionHandler`, `SOAPHeaderLoggerHandler`, `WsAddressingHandlerV200508`

public abstract class AbstractSOAPHandler extends Object implements jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>
Abstract that hides the complexity from a `SOAPHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSOAPHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close(jakarta.xml.ws.handler.MessageContext context)`
  `static void`
  `dumpMessage(jakarta.xml.soap.SOAPMessage msg, String mode, org.slf4j.Logger log)`
  `Set<QName>`
  `getHeaders()`
  `boolean`
  `handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  `boolean`
  `handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the inbound flow.
  `boolean`
  `handleMessage(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  `boolean`
  `handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the outbound flow.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractSOAPHandler

    public AbstractSOAPHandler()

- ## Method Details

  - ### handleMessage

    public boolean handleMessage(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Specified by:
      `handleMessage` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

  - ### handleOutbound

    public boolean handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Method that is called in the outbound flow.

  - ### handleInbound

    public boolean handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Method that is called in the inbound flow.

  - ### handleFault

    public boolean handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Specified by:
      `handleFault` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

  - ### close

    public void close(jakarta.xml.ws.handler.MessageContext context)
    Specified by:
      `close` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

  - ### getHeaders

    public Set<QName> getHeaders()
    Specified by:
      `getHeaders` in interface `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

  - ### dumpMessage

    public static void dumpMessage(jakarta.xml.soap.SOAPMessage msg, String mode, org.slf4j.Logger log)